summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2020-10-14 17:07:28 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2020-10-14 17:12:06 -0400
commit66c87d2fc862db9d118ce8b270f6919fda450313 (patch)
treee9430d7d5c4e80a10e26bd968daf83eef76a8715 /libre
parentf7c65bf46ae0c98845e1c40db11869bca96b6857 (diff)
[epiphany]: upgrade to v3.38.1
Diffstat (limited to 'libre')
-rw-r--r--libre/epiphany/PKGBUILD27
1 files changed, 17 insertions, 10 deletions
diff --git a/libre/epiphany/PKGBUILD b/libre/epiphany/PKGBUILD
index 5145d0823..66f4498e5 100644
--- a/libre/epiphany/PKGBUILD
+++ b/libre/epiphany/PKGBUILD
@@ -12,26 +12,32 @@
# used at runtime according to readelf -d
pkgname=epiphany
-pkgver=3.36.1
-pkgrel=2
-pkgrel+=.parabola2
+pkgver=3.38.1
+pkgrel=1
+pkgrel+=.parabola1
pkgdesc="A GNOME web browser based on the WebKit rendering engine"
-pkgdesc+=", with DuckDuckGo HTML support"
+pkgdesc+=", with DuckDuckGo-HTML search"
url="https://wiki.gnome.org/Apps/Web"
arch=(x86_64)
arch+=(i686 armv7h)
license=(GPL)
-depends=(webkit2gtk gcr libdazzle libhandy)
+depends=(webkit2gtk gcr icu libdazzle libhandy libportal)
+depends=( $( sed 's| icu | |' <<<${depends[@]} ) )
makedepends=(docbook-xml startup-notification lsb-release gobject-introspection yelp-tools
appstream-glib git meson)
-checkdepends=(xorg-server-xvfb)
+checkdepends=(xorg-server-xvfb aspell hspell hunspell nuspell libvoikko)
groups=(gnome)
-_commit=982639bc51dbf1db3f16d13bc353b0f9c71b970e # tags/3.36.1^0
+_commit=41b6c74a412f24b5e5e164efb28dffbfcb5e41a1 # tags/3.38.1^0
source=("git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit"
libre.patch)
sha256sums=('SKIP'
'2ef991ade98fbe9a3a6cd80220d3348e69007abff5141bea42bbdf1c72836689')
+
+# check() requires networking
+_run_check=1
+
+
pkgver() {
cd $pkgname
git describe --tags | sed 's/-/+/g'
@@ -44,14 +50,15 @@ prepare() {
build() {
arch-meson $pkgname build
- ninja -C build
+ meson compile -C build
}
check() {
- # ERROR:../epiphany/tests/ephy-web-app-utils-test.c:109:test_web_app_lifetime: assertion failed (g_list_length (apps) == 1): (0 == 1)
+ (( _run_check )) || ! echo "skipping check()" || return 0
+
dbus-run-session xvfb-run \
-s '-screen 0 1920x1080x24 -nolisten local' \
- meson test -C build --print-errorlogs || :
+ meson test -C build --print-errorlogs
}
package() {